# MusE - The Linux (Midi) Music Editor

## 3. Invoking MusE

## 3.1 Invoking MusE

MusE is invoked from the command line by typing in:

    	muse

Optionally, you can use command line options of the form:

    	muse <options> <midifile>

<options> : see section 3.2 below for details on options. <midifile> can be either a standard MIDI file or a MusE file (*.med, *.med.gz or *.med.bz2).

## 3.2 Command Line Options

MusE accepts some options as listed below:

       -v  print version
       -d  debug mode: no threads
       -D  debug mode: enable some debug messages
       -m  debug mode: trace midi Input
       -M  debug mode: trace midi Output
       -s  debug mode: trace sync
       -R  enable real time scheduling

## 3.3 File Types Recognized by MusE

`~/.MusE` | MusE Configuration File ("~" refers to your home directory)
`.musePrj` | Hidden Project File; stores list of last projects
`*.med` | MusE song file; internal MusE format
`*.mid` | midi file; can be imported
`*.kar` | karaoke: midi file with additional information; some types can be imported

With adding the additional extensions `.gz` or `.bz2` you can read or write compressed files. </qt>